/**
 * Copyright (c) 2011-2012 EBM WebSourcing, 2012-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.bc.mail;

import org.ow2.petals.component.framework.logger.ConsumeFlowStepBeginLogData;

/**
 * @author Marc Jambert - EBM WebSourcing
 */
public final class MailConsumeFlowStepBeginLogData extends ConsumeFlowStepBeginLogData {

    private static final long serialVersionUID = 3480109025079375081L;

    public static final String SCHEME_KEY = "scheme";
    public static final String HOST_KEY = "host";
    public static final String PORT_KEY = "port";
    public static final String USER_KEY = "user";
    public static final String FOLDER_KEY = "folder";

    public MailConsumeFlowStepBeginLogData(String flowInstanceId, String flowStepId,
            String flowInterfaceName, String flowServiceName, String flowEndpointName,
            String operationName, String scheme, String host, String port, String user, String folder) {
        super(flowInstanceId, flowStepId, flowInterfaceName, flowServiceName, flowEndpointName,
                operationName);
        putData(SCHEME_KEY, scheme);
        putData(HOST_KEY, host);
        putData(PORT_KEY, port);
        putData(USER_KEY, user);
        putData(FOLDER_KEY, folder);
    }
}
